Eclipse Draw2d 3.3

## org.eclipse.draw2d
Interface UpdateListener

All Known Implementing Classes:
  Thumbnail

public interface UpdateListener

An interface used to notify listeners that the listened to object is updating.

Method Summary
`void` `notifyPainting(Rectangle damage, Map dirtyRegions)` Notifies the listener that the listened to object is painting.
`void` `notifyValidating()` Notifies the listener that the listened to object is validating.

Method Detail

### notifyPainting

    public void notifyPainting(Rectangle damage,
                               Map dirtyRegions)

  Notifies the listener that the listened to object is painting. The damage rectangle may be null or empty. This indicates the dirty regions were clipped or not visible. But for objects such as the `Thumbnail`, notification still needs to occur. The map of dirty regions is passed to allow the listener to determine if it needs to update, for instance when a particular figure is painting.

  Parameters:
    `damage` - The area being painted
    `dirtyRegions` - a Map of figures to their dirty regions

### notifyValidating

    public void notifyValidating()

  Notifies the listener that the listened to object is validating.

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.